<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 15</H1>

<P>
Numero du papier: 15
<P>
Nom du papier et auteurs: Mobile Computation and
Hostile Hosts. J.Vitek, G.Castagna.

<H2>1</H2>

<P>
Nom du rapporteur: A.Asperti
<P>
Confiance en la note: 3
<P>  1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.

<P>Notation du papier: 2.5
<P>  1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier
<P>
Commentaires aux auteurs:
<P>
Some ideas look interesting, but the (new) results are too
few and preliminary. I would not be so pessimistic on the
possibility to replay the naive copy attack you describe:
after all, (naive) copying is observable, in general. 
In any case I have the feeling that, in order to deal 
with security of mobile computations, we should take
into account the complexity required for an attack. 
I.e. it could be enough to proof that the agent is 
attack-free up to a reasonably high complexity measure
in the size of the agent, considering the agent as a 
volatile, (non persistent) entity.

<P>
Commentaires reserves au comite de programme:
<P>
The paper start with a long introduction to the
seal calculus, which is an extension of pi-calculus
with some ideas borrowed from the ambient calculus 
of Cardelli. The motivations behind the calculus
are not very clear. <P>
The two last pages are devoted to the description of
two possible attacks that a mobile computation
can be subjected to in an open network: duplication (copy)
and guessing of free names. This attacks are modelized
by adding suitable, ad hoc primitives to the base calculus.
Then, the semantics of the resulting system is briefly 
discussed. <P>
I hardly see the point of the work. Note that the seal
calculus is not the subject of the paper: it has been
already introduced in a different work, currently submitted
for publication.<P>
The title and the abstract look somewhat pretentious and
misleading w.r.t. the actual content of the paper. 
In conclusion, the paper look as a work in progress at a very
preliminary stage, and it has been clearly written is
some hurry. <P>
I am mildly for rejection. 

<H2>2</H2>

<P>Nom du rapporteur: Damien Doligez

<P>Confiance en la note: 2

<P>Notation du papier: 3

<P>Commentaires aux auteurs:
<P>Ce papier n'est pas bien equilibre.  Il consacre 4 sections a la
presentation du calcul Seal et de ses semantiques, et une seule
au probleme des hotes malveillants.

<P>Avant d'etudier les attaques possibles d'un hote malveillant sur
une applet, il faudrait definir la notion de securite dans ce
contexte.

<P>Lorsque l'environnement d'execution lui-meme est hostile, le nombre
d'attaques possibles n'est borne que par l'imagination.  Par exemple,
n'importe quelle analyse statique du code peut donner une attaque
automatisable.  Et on peut aussi etudier le fonctionnement dynamique
du programme, et meme le modifier a volonte.

<P>A vous de prouver que les deux classes d'attaques que vous etudiez
couvrent toutes les possibilites, au moins dans le cas dynamique.
Il est possible que ca soit le cas, mais le papier ne contient
aucun argument dans ce sens.

<P>Commentaires reserves au comite de programme:
<P>Papier tres technique, qui ne semble pas apporter grand-chose de
nouveau par rapport aux autres papiers sur le calcul Seal.

</BODY>
</HTML>
